"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createStylelintRuleTester = require("./createStylelintRuleTester");

var _createStylelintRuleTester2 = _interopRequireDefault(_createStylelintRuleTester);

var _tape = require("tape");

var _tape2 = _interopRequireDefault(_tape);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function assertEquality(processCss, context) {
  var testFn = context.only ? _tape2.default.only : _tape2.default;
  testFn(context.caseDescription, function (t) {
    t.plan(context.comparisonCount);
    processCss.then(function (comparisons) {
      comparisons.forEach(function (_ref) {
        var actual = _ref.actual;
        var expected = _ref.expected;
        var description = _ref.description;

        t.equal(actual, expected, description);
      });
    });
  });
}

exports.default = (0, _createStylelintRuleTester2.default)(assertEquality);

// AVA rule tester
//
// import createStylelintRuleTester from "./createStylelintRuleTester"
// import test from "ava"
//
// function assertEquality(processCss, context) {
//   const testFn = (context.only) ? test.only : test
//   testFn(context.caseDescription, t => {
//     return processCss.then((comparisons) => {
//       comparisons.forEach(({ actual, expected, description }) => {
//         t.is(actual, expected, description)
//       })
//     })
//   })
// }
//
// export default createStylelintRuleTester(assertEquality)

// Mocha rule tester
//
// import createStylelintRuleTester from "./createStylelintRuleTester"
// import assert from "assert"
//
// function assertEquality(processCss, context) {
//   const describeFn = (context.only) ? describe.only : describe
//   describeFn(context.caseDescription, () => {
//     it(context.completeAssertionDescription, done => {
//       processCss.then((comparisons) => {
//         comparisons.forEach(({ actual, expected, description }) => {
//           assert.equal(actual, expected, description)
//         })
//         done()
//       }).catch(done)
//     })
//   })
// }
//
// export default createStylelintRuleTester(assertEquality)